#version 120

//varying vec3 color_out;

uniform sampler2D test;

void main()
{
  gl_FragData[0] = gl_Color;
  /*
  gl_FragData[1] = vec4(dot(gl_Color.rg, gl_Color.bg),
                        dot(gl_Color.rr, gl_Color.gg),
                        dot(gl_Color.bb, gl_Color.gg), 1);
  */
  gl_FragData[1] = texture2D(test, gl_Color.bg);
}
